<template>
  <el-container>
    <basic-container style="height: calc(100vh - 118px);width: 100%;">
      <avue-form ref="form" v-model="form" :option="formOption" @submit="saveHandler"></avue-form>
    </basic-container>
  </el-container>
</template>

<script>
import {getSecretGradeConfig, saveSecretGrade} from "@/api/authority/secure/classification";

export default {
  name: "index",
  data: function () {
    return {
      form:{
        type:[],
      },
      formOption:{
        submitBtn: true,
        submitText:"保存",
        emptyBtn: false,
        menuPosition:'left',
        column: [{
          label: '用户\\机器密级停启用配置',
          labelWidth:185,
          prop: 'type',
          span: 24,
          type: 'checkbox',
          dicData: [
            { label: '用户密级', value: 0 },
            { label: '机器密级', value: 1 },
          ]
        }]
      },
    }
  },
  created() {
    this.getSecretGradeConfig()
  },
  methods:{
    getSecretGradeConfig:function (){
      getSecretGradeConfig().then(res => {
        if(res.data.obj.userSecuritySwith){
          this.form.type=[0]
        }
        if(res.data.obj.ipSecuritySwith){
          this.form.type.push(1)
        }
      }).catch(error => {
      })
    },
    saveHandler:function (form,done){
      const params={
        userSecuritySwith:this.form.type.includes(0),
        ipSecuritySwith:this.form.type.includes(1)
      }
      saveSecretGrade(params).then(res => {
        if (res.data.success) {
          this.$message.success('保存成功')
        }
        done()
      }).catch(error=>{
        done()
      });
    },
  }
}
</script>

<style lang="scss" scoped>
::v-deep {
  .el-scrollbar__wrap {
    overflow: auto !important;
  }
}
</style>
